/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux.
 *
 * Copyright (c) 2002 Nokia. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef AM_FILECONFIG_UTILS_H
#define AM_FILECONFIG_UTILS_H

#include "naap_am.h"
#include <stdio.h>
#include "naap_socket.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef void (*SubSectionHandler) (char* line, void* data);

typedef struct SubSection
{
	char const* name;
	SubSectionHandler handler;
} SubSection;

typedef void (*SectionHandler) (FILE* file);

typedef struct Section
{
	char const* name;
	SectionHandler handler;
} Section;

extern void cnf_get_string (char* to, char* param, size_t maxlen);
extern IP_addr cnf_get_addr (char* param);
extern u_int32_t cnf_get_int32 (char* param);
extern int cnf_get_bool (char* param);
extern int cnf_get_enum (char* param, char const** enums);
void cnf_get_hex_buf (char* line, u_int8_t* buffer, u_int16_t* buffersize);

extern void cnf_subsects (FILE* file, SubSection* subsects, void* data);
extern void config_sections (FILE* file, Section sections []);


#ifdef __cplusplus
}
#endif

#endif /* #ifndef AM_FILECONFIG_UTILS_H */

