/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux.
 *
 * Copyright (c) 2002 Nokia. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef AM_GLOBAL_H
#define AM_GLOBAL_H

#include "naap_am.h"
#include "naap_socket.h"
#include "naap_core_handlers.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Size definitions */
#define AM_NAAP_MAX_STORED_REPLY_MSG_SIZE 256

/* This variable tells whether we are running as a client or an agent */
extern NAAP_entity am_naap_mode;

/* This variable contains our own IP address */
extern IP_addr am_own_ip_addr;

/* --------------------------- */

/* Size definitions */
#define AM_KI_LENGTH 32 /* Ki length doesn't include the terminating '\0' of a string */

#define AM_IMSI_LENGTH 15 /* IMSI length doesn't include the terminating '\0' of a string */
#define AM_MAX_REALM_LENGTH 100 /* Doesn't include the terminating '\0'... */

extern char am_realm[]; /* This variable contains our realm */

extern int number_of_rands;

#ifdef __cplusplus
}
#endif

#endif /* #ifndef AM_GLOBAL_H */
