/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux.
 *
 * Copyright (c) 2002 Nokia. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#include <fcntl.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>
#include "naap_rand.h"
#include "naap_dt.h"

int am_rand(u_int8_t* buffer, u_int16_t bufferlen)
{
  int fd;

  /* open file descriptor for kernel random number generator */
  if ((fd = open("/dev/urandom", O_RDONLY)) == -1)
    {
      DT((DT_AM, "am_rand: Can't open /dev/urandom: %s\n", strerror(errno)));
      return -1;
    }
  else 
    {
      DT((DT_AM, "am_rand: /dev/urandom opened, fd=%i\n", fd));
    }

  /* read from the the file descriptor and check if enough data was read */
  if ((read(fd, buffer, bufferlen)) < bufferlen)
    {
      DT((DT_AM, "am_rand: Can't read enough data from /dev/urandom\n"));
      return -2;
    }

  close(fd);
  return 0;
}
