/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux.
 *
 * Copyright (c) 2002 Nokia. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#include <stdio.h>
#include "naap_am.h"
#include "naap_ui.h"
#include "naap_event.h"
#include "naap_dt.h"

void ans_confirm_reauthentication_event_handler(struct Event *e)
{
     /* TODO, we should ask the user before reauthenticating,
      * gui_notify(NOT_CONFIRM_RECONNECT, PROTOK);
      */

     nc_ans_confirm_reauthentication(1);
}

void am_req_confirm_reauthentication()
{
     Event_handle tmp_timer_handle;
     
     nc_add_to_events(ans_confirm_reauthentication_event_handler, 200, NULL, &tmp_timer_handle);	
     DT((DT_EVENT, "Scheduled ans_confirm_reauthentication_event_handler, timeout 0.2 seconds\n"));
     return;
}

Action_on_disconnect_failed am_disconnect_failed()
{
     /* TODO, our other option is to STAY_CONNECTED, we should
      * ask the user.
      */
     return DROP_CONNECTION;
}
