/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux.
 *
 * Copyright (c) 2002 Nokia. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef NAAP_CONF_H
#define NAAP_CONF_H

#include "naap_am.h"
#include "naap_socket.h"

#ifdef __cplusplus
extern "C" {
#endif


/* Please see the NAAP protocol specification for the description
   of the configurable parameters. For each configurable parameter
   (for example CLIENT_TIMEOUT), there is a NAAP core routine (for
   example nc_conf_client_timeout). The name of the NAAP Core routine
   starts with nc_conf_, which is followed by the parameter name in lower case */

/* NAAP client configuration */

void nc_conf_solicitation_interval(u_int16_t new_value);

void nc_conf_max_solicitation_interval(u_int16_t new_value);

void nc_conf_solicitation_address(IP_addr new_value); /* Address in NETWORK ORDER */

void nc_conf_sim_timeout(u_int16_t new_value);

void nc_conf_id_retransmission_timeout(u_int16_t new_value);

void nc_conf_max_id_retransmissions(u_int16_t new_value);

void nc_conf_start_retransmission_timeout(u_int16_t new_value);

void nc_conf_max_start_retransmissions(u_int16_t new_value);

void nc_conf_challenge_retransmission_timeout(u_int16_t new_value);

void nc_conf_max_challenge_retransmissions(u_int16_t new_value);

void nc_conf_default_reg_lifetime(u_int16_t new_value);

void nc_conf_reg_refresh_time(u_int16_t new_value);

void nc_conf_local_request_retransmission_timeout(u_int16_t new_value);

void nc_conf_max_local_request_retransmissions(u_int16_t new_value);

void nc_conf_default_sim_key_lifetime(u_int16_t new_value);

void nc_conf_reauthentication_time(u_int16_t new_value);

#ifdef __cplusplus
}
#endif

#endif /* NAAP_CONF_H not defined */
