/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux.
 *
 * Copyright (c) 2002 Nokia. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef NAAP_CONST_H
#define NAAP_CONST_H

#ifdef __cplusplus
extern "C" {
#endif
	
/* NAAP protocol constants */
#define SOLICITATION_MESSAGE_TYPE		1
#define ADVERTISEMENT_MESSAGE_TYPE		2
#define REQUEST_MESSAGE_TYPE			3
#define REPLY_MESSAGE_TYPE			4

/* MAC algorithm IDs */
#define HMAC_MD5_MAC_ID					1

/* NAAP Extension types */
#define AUTHENTICATOR_EXTENSION_TYPE			1
#define EAP_EXTENSION_TYPE						2
#define REPLY_MESSAGE_EXTENSION_TYPE			32768
#define NAAP_AGENT_IPV4_ADDRESS_EXTENSION_TYPE	32769
#define NEW_SESSION_KEY_EXTENSION_TYPE			3

/* NAAP Reply Codes */
#define SUCCESSFUL						1
#define AUTHENTICATION_INCOMPLETE		10
#define INCORRECT_IDENTIFICATION		11
#define TOO_MANY_EAP_REQUESTS			12
#define REAUTHENTICATION_REQUIRED		13
#define FAILURE							15
#define UNKNOWN_MAC_ID					16

/* Protocol constants administered by IANA */
#define NAAP_PORT						0x3C05 /* network order, decimal 1340 */

/* Size definitions */
#define NAAP_IDENTIFICATION_LENGTH					sizeof(struct timeval)
#define NAAP_KC_LENGTH								8
#define NAAP_SRES_LENGTH							4
#define NAAP_MAX_IMSI_LENGTH						20
#define NAAP_MAX_TRIPLET_MULTIPLIER					20
#define NAAP_MAX_MSG_BUFFER_SIZE					65535
#define NAAP_MAX_STORED_REPLY_MSG_SIZE				256
#define NAAP_MAX_STORED_IDENTITY_SIZE				256
#define NAAP_MAX_STORED_SIM_KEY_SIZE				1024

/* Multicast addresses */
#define NAAP_MCAST_HOSTS_ADDR "224.0.0.1"
#define NAAP_MCAST_AGENTS_ADDR "224.0.0.2" /* This is actually the all-routers multicast address */

#ifdef __cplusplus
}
#endif

#endif /* #ifndef NAAP_CONST_H */
