/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 * 
 * The Original Software is Nokia D211 Software for Linux.
 *
 * Copyright (c) 2002 Nokia. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef NAAP_CORE_HANDLERS_H
#define NAAP_CORE_HANDLERS_H

#include "naap_am.h"
#include "naap_socket.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
	UNINITIALIZED = 0,
	NAAP_AGENT,
	NAAP_CLIENT
} NAAP_entity;


/* Initialise the NAAP core and tell it 
   whether it is running as a NAAP client or a NAAP 
   registration agent.
   Adaptation module calls nc_handle_init after platform specific initialisation. 
   Return value: zero on success, nonzero on failure.
   Used on: NC, NA */
u_int8_t nc_handle_init(NAAP_entity entity, IP_addr own_ip_addr);

/* deinitialise the core 
   Used on: NC, NA */
void nc_handle_cleanup();

/* when the adaptation module has detected a suspend/resume blackout,
   is calls nc_handle_blackout to validate the internal state of the NAAP Core */
void nc_handle_blackout();

#ifdef __cplusplus
}
#endif

#endif /* NAAP_CORE_HANDLERS_H not defined */
