/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux.
 *
 * Copyright (c) 2002 Nokia. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef NAAP_MAC_H
#define NAAP_MAC_H

#include "naap_am.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Calculate MAC_SRES */
void nc_calculate_mac_sres(u_int32_t kc_length, 
						   u_int8_t *kc,
						   u_int32_t sres_length,
						   u_int8_t *sres,
						   u_int32_t imsi_length,
						   u_int8_t *imsi,
						   u_int32_t noncemt_length,
						   u_int8_t *noncemt,
						   u_int8_t *mac_sres);

/* Calculate MAC_RAND */
void nc_calculate_mac_rand(u_int32_t kc_length, 
						   u_int8_t *kc,
						   u_int32_t rand_length,
						   u_int8_t *rand,
						   u_int32_t noncemt_length,
						   u_int8_t *noncemt,
						   u_int32_t key_lifetime_length,
						   u_int8_t *key_lifetime,
						   u_int8_t *mac_rand);

/* Calculate SIM session key */
void nc_calculate_sim_session_key(u_int32_t kc_length, 
						   u_int8_t *kc,
						   u_int32_t rand_length,
						   u_int8_t *rand,
						   u_int32_t imsi_length,
						   u_int8_t *imsi,
						   u_int32_t noncemt_length,
						   u_int8_t *noncemt,
						   u_int8_t *sim_session_key);

#ifdef __cplusplus
}
#endif

#endif /* #ifndef NAAP_MEMORY_H */
