/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux.
 *
 * Copyright (c) 2002 Nokia. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef NAAP_NOTIF_H
#define NAAP_NOTIF_H

#include "naap_am.h"
#include "naap_socket.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Notification NOT_DISCOVERING_AGENT 
   the NAAP client has entered state "Discovering agent" */
void am_not_discovering_agent();

/* Notification NOT_NO_AGENT 
   the NAAP client is still in state "Discovering agent" while some UI operation has occurred */
void am_not_no_agent();

/* Notification NOT_AGENT_DISCOVERED 
   the NAAP client has entered state "Agent discovered"*/
void am_not_agent_discovered();

/* Notification NOT_GETTING_IMSI 
   the NAAP client has entered state "Getting IMSI" */
void am_not_getting_imsi();

/* Notification NOT_SIM_FAILURE 
   a SIM card operation failed */
void am_not_sim_failure();

/* Notification NOT_WAITING_FOR_START 
   the NAAP client has entered state "Waiting for Start" */
void am_not_waiting_for_start();

/* Notification NOT_FAILURE 
   an EAP Failure packet or a NAAP Reply with code FAILURE was received from 
   the NAAP registration agent */
void am_not_failure(/*IN*/ u_int8_t *reply_message, u_int16_t reply_message_len);

/* Notification NOT_UNSUPPORTED_VERSION 
   the NAAP agent offered unacceptable protocol versions */
void am_not_unsupported_version();

/* Notification NOT_START_TIMED_OUT 
   Waiting for EAP Request/GSMSIM/Start timed out */
void am_not_start_timed_out();

/* Notification NOT_WAITING_FOR_CHALLENGE 
   the NAAP client has entered state "Waiting for Challenge" */
void am_not_waiting_for_challenge();

/* Notification NOT_CHALLENGE_TIMED_OUT 
   Waiting for EAP Request/GSMSIM/Challenge timed out */
void am_not_challenge_timed_out();

/* Notification NOT_GETTING_KC_SRES 
   the NAAP client has entered state "Getting Kc and SRES" */
void am_not_getting_kc_sres();

/* Notification NOT_MAC_RAND_FAILED 
   An EAP Request/GSMSIM/Challenge with an invalid MAC_RAND was received */
void am_not_mac_rand_failed();

/* Notification NOT_WAITING_FOR_SUCCESS 
   the NAAP client has entered state "Waiting for Success" */
void am_not_waiting_for_success();

/* Notification NOT_SUCCESS_TIMED_OUT 
   Waiting for the EAP Success packet timed out*/
void am_not_success_timed_out();

/* Notification NOT_AUTHENTICATION_SUCCESSFUL 
   The NAAP client has authenticated successfully */
void am_not_authentication_successful();

/* Notification NOT_CONNECTED 
   the NAAP client has entered state "Connected" */
void am_not_connected();

/* Notification NOT_SYNCHRONIZING_FAILED 
   Authentication failed when synchronizing the timestamp replay protection clock */
void am_not_synchronizing_failed();

/* Notification NOT_NAAP_REGISTRATION_SUCCESSFUL 
   The NAAP client has successfully registered with the NAAP agent */
void am_not_naap_registration_successful();

/* Notification NOT_DISCONNECT_SUCCESSFUL 
   The NAAP client has successfully disconnected from the NAAP agent */
void am_not_disconnect_successful();

/* Notification NOT_NAAP_REGISTRATION_EXPIRED 
   The NAAP registration has expired */
void am_not_naap_registration_expired();

/* Notification NOT_DISCONNECTING 
   the NAAP client has entered state "Disconnecting" */
void am_not_disconnecting();

/* Notification NOT_REPLY_WITH_INVALID_AUTHENTICATOR */
void am_not_reply_with_invalid_authenticator();

#ifdef __cplusplus
}
#endif

#endif /* NAAP_NOTIF_H not defined */
