/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux.
 *
 * Copyright (c) 2002 Nokia. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef NAAP_TIME_H
#define NAAP_TIME_H

#include "naap_am.h"

#ifdef __cplusplus
extern "C" {
#endif
	

/* 
   Get the current time of day as seconds since January 1 1970,
   similarly to the UNIX gettimeofday.

   The tv_usec member of struct timeval represents fractions of second.
   If fractions of second are not available from the time source of the 
   operating system, the adaptation module SHOULD generate them from a 
   good source of randomness. Note, however, that since the NAAP Core uses 
   the time of day as sequence number, the time of day returned by 
   am_gettimeofday MUST always be greater than any previously returned value.
   That is, when the adaptation module calls am_gettimeofday several times
   during a second (so that the tv_sec member remains the same), the tv_usec 
   member must grow.

   Used on: NC, NA */

void am_gettimeofday(struct timeval *t);

#ifdef __cplusplus
}
#endif

#endif /* NAAP_TIME_H not defined */
