/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 * 
 * The Original Software is Nokia D211 Software for Linux. 
 *
 * Copyright (c) Nokia 2002 and others. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef IPCLINUX_H
#define IPCLINUX_H

#ifdef __linux__

/* Linux stuff */
#define RSP_TIDMASK  0x0000ffff
#define MSQ_ID_MASK  0x03FF0000
#define MSQ_KEY_MASK 0x03000000
#define MSQ_KEY_HASH 0x407f98ea
#define KEY_OF_MSQ(id) (((id) & MSQ_KEY_MASK) | MSQ_KEY_HASH)
#define RSP_MSG_TYPE(id, tid)  (((id) & MSQ_ID_MASK) | ((tid) & RSP_TIDMASK))
#define REQ_MSG_TYPE(id)  ((id) & MSQ_ID_MASK)
#define IND_MSG_TYPE(id)  REQ_MSG_TYPE(id)

#pragma pack(1)
typedef struct MSQMSG {
        long int mtype;
        IPCMESSAGE ipc_msg[1];
}MSQMSG;
#pragma pack()
#endif

#endif // IPCLINUX_H






