#!/bin/sh 

usage () {
	echo Usage: $0 [debug-file]
    	exit 1
}

if [ "$1" = "--help" ] || [ "$1" = "-h" ] ; then
	usage
elif [ "$1" = "" ]; then
	DEBUGFILE=/var/log/d211debug
else
	DEBUGFILE=$1
fi

echo Printing debug information to file $DEBUGFILE
echo "This file contains D211 debug information printed by $0 script" > $DEBUGFILE 
echo >> $DEBUGFILE 

echo "lsmod | grep nokia_cs:" >> $DEBUGFILE 
lsmod | grep nokia_cs >> $DEBUGFILE 2>&1 
echo >> $DEBUGFILE 

echo "ls -lsa /dev/nokia_cs:" >> $DEBUGFILE 
ls -lsa /dev/nokia_cs >> $DEBUGFILE 2>&1 
echo >> $DEBUGFILE 

echo "ls -lsa /dev/ttyNC*:" >> $DEBUGFILE 
ls -lsa /dev/ttyNC* >> $DEBUGFILE 2>&1 
echo >> $DEBUGFILE 

echo "ps aux | grep nokia_cs:" >> $DEBUGFILE 
ps aux | grep nokia_cs >> $DEBUGFILE 2>&1 
echo >> $DEBUGFILE 

echo "cat /proc/net/nokia_cs:" >> $DEBUGFILE 
cat /proc/net/nokia_cs >> $DEBUGFILE 2>&1 
echo >> $DEBUGFILE 

echo "ipcs -q:" >> $DEBUGFILE 
ipcs -q >> $DEBUGFILE 2>&1 
echo >> $DEBUGFILE 

echo "cat /proc/ioports | grep nokia_cs:" >> $DEBUGFILE 
cat /proc/ioports | grep nokia_cs >> $DEBUGFILE 2>&1 
echo >> $DEBUGFILE 

echo "cat /proc/iomem | grep nokia_cs:" >> $DEBUGFILE 
cat /proc/iomem | grep nokia_cs >> $DEBUGFILE 2>&1 
echo >> $DEBUGFILE 

echo "cat /proc/interrupts | grep nokia_cs:" >> $DEBUGFILE 
cat /proc/interrupts | grep nokia_cs >> $DEBUGFILE 2>&1 
echo >> $DEBUGFILE 

echo "cat /proc/bus/pccard/drivers | grep nokia_cs:" >> $DEBUGFILE 
cat /proc/bus/pccard/drivers | grep nokia_cs >> $DEBUGFILE 2>&1 
echo >> $DEBUGFILE 

echo "cat /proc/devices | grep nokia_cs:" >> $DEBUGFILE 
cat /proc/devices | grep nokia_cs >> $DEBUGFILE 2>&1 
echo >> $DEBUGFILE 

echo "cat /proc/devices | grep ttyNC:" >> $DEBUGFILE 
cat /proc/devices | grep ttyNC >> $DEBUGFILE 2>&1 
echo >> $DEBUGFILE 

cat $DEBUGFILE

exit 0