/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux. 
 *
 * Copyright (c) Nokia 2002 and others. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef D_DLLC_H
#define D_DLLC_H

#include "nokia_info.h"

typedef struct net_device device_t;

typedef struct list_node {
        struct list_node* next;
        struct list_node* prev;
        struct sk_buff *skb;
} buf_t;

typedef struct dllc
{
        struct net_device *dev;
        driver_priv_t *priv;
        
        INT32 tx_packets_in_queue; // Packets in queue
        INT32 netif_stopped;       // 1 if netif is stopped
        UINT32 tx_packets_dropped; // Packets in queue
        buf_t* head_empty;         //queue internals
        buf_t* head_queue;
        buf_t* tail_queue;
        struct timer_list timer;   // queue hanling timer
        struct net_device_stats stats;
} dllc_t;

dllc_t * dllc_new (driver_priv_t *d );
int dllc_register (dllc_t *dllc);
void dllc_delete (dllc_t *dllc);
void dllc_unregister (dllc_t *dllc);

#endif 

