/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux. 
 *
 * Copyright (c) Nokia 2002 and others. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef D_DSERIAL_H
#define D_DSERIAL_H

#include "nokia_info.h"

/* device information */
#define SERIAL_D211_NAME   "ttyNC"
#define SERIAL_D211_MAJOR  204  
#define SERIAL_D211_MINOR  42

typedef struct dser{
        /*** Driver info ***/
        driver_priv_t *priv;

        /*driver count*/
        int count;

        /*Statistics*/
        int rx_bytes;
        int tx_bytes;
        int rx_error_bytes;
        int tx_error_bytes;

        /* Modem signals */
        int msig;
        
        unsigned long flags;
        struct tty_struct *tty;

        /*spinlock*/
        spinlock_t lock;
}dser_t;

#define SERIAL_XMIT_MAX_SIZE   500 /* max used frame size for serial */

#endif
