/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux. 
 *
 * Copyright (c) Nokia 2002 and others. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef D_DSERIAL_PRIV_H
#define D_DSERIAL_PRIV_H

typedef struct dser_stats {
        int rx_bytes;
        int tx_bytes;
        int rx_error_bytes;
        int tx_error_bytes;
}dser_stats_t;

struct dser;

struct dser *dser_new(driver_priv_t *priv);
void dser_delete(struct dser *dser);
void dser_receive(driver_priv_t *priv, char* buf, int count);
void dser_get_stats(driver_priv_t *priv, dser_stats_t *stats);
void dser_signal(driver_priv_t *priv, int signal);
void dser_wake_up_write(driver_priv_t *priv);
void dser_tty_hangup(driver_priv_t *priv);

/* modem signals */
#define MSIG_CTS   0x01
#define MSIG_DCD   0x02      
#define MSIG_DSR   0x04

#define MSIG_DTR   0x10  
#define MSIG_RTS   0x20

#define MSIG_MODEM 0x0f
#define MSIG_HOST  0xf0

#endif






