/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux. 
 *
 * Copyright (c) Nokia 2002 and others. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef _SNDMSG_H_
#define _SNDMSG_H_
#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

#ifdef DEBUG
#define DBG_ERROR(args...) printf(args)
#define DBG_TRACE(args...) printf(args)
#define DBG(args...) printf(args)
#define DBG_LOG(args...) printf(args)
#else
#define DBG_ERROR(args...)
#define DBG_TRACE(args...)
#define DBG(args...)
#define DBG_LOG(args...) printf(args)
#endif
        
//buffer size for IPC messages
#define BUF_SIZE 3000

//responce queue msqid
//remove msq at least upon exit with signal
extern int rsp_msqid; 

//function for sending IPC messages
//pIpc is a pointer to complete IPC request message to send
//pIpc_rsp is a pointer to a buffer for IPC responce message
//returns length of the received IPC responce message when successful
//otherwise -1
//when successful, pIpc_rsp is a pointer to the IPC responce message received 
int send_message(PIPCMESSAGE pIpc, PIPCRSP pIpc_rsp);

#ifdef __cplusplus
} //extern "C" 
#endif // __cplusplus
#endif
